<div [class]="flipToggle + ' flipContainer'">
  <div class="flipper">

    <div class="front">
      <mat-card class="userCard" fxLayout="column">
        <div class="tagContainer" fxLayout="row" fxLayoutAlign="end start">
          <div *ngFor="let roll of user.roles" class="fa fa-bookmark fa-2x"
               [style.color]="roll.color" [matTooltip]="roll.name"></div>
        </div>

        <!-- ============================================== Image ============================================== -->
        <div fxLayout="row" fxLayoutAlign="center center" fxFlex="40">
          <img class="userImageBox" alt="RaaM Logo" src="../assets/RaaM.svg" [matTooltip]="user.username" fxFlex="40">
        </div>

        <!-- ============================================== Name ============================================== -->
        <div fxLayout="column" fxLayoutAlign="center center" fxFlex="20">
          <span class="bigText">{{user.firstName}} {{user.lastName}}</span>
          <a [routerLink]="['/users', user._id ? user._id : '1337']">@{{user.username}}</a>
        </div>

        <!-- =========================================== Short Text =========================================== -->
        <div fxLayout="row" fxLayoutAlign="center center" fxFlex="30">
          <span class="text-center" *ngIf="user.personalWords">{{user.personalWords}}</span>
          <span class="text-center" *ngIf="!user.personalWords">{{veryUnpersonalWords}}</span>
        </div>

        <!-- ============================================= Button ============================================= -->
        <div fxLayout="row" fxLayoutAlign="center center" fxFlex="10">
          <button class="btn btn-primary" matTooltip="flip card" (click)="toggleFlip()">
            <span class="fa fa-arrow-right"></span></button>
        </div>
      </mat-card>
    </div>

    <div class="back" fxLayoutAlign="center center">
      <mat-card class="userCard" fxLayout="column">

        <!-- ============================================== Names ============================================== -->
        <div fxLayout="column" fxLayoutAlign="start start" fxFlex="40">
          <a [routerLink]="['/users', user._id ? user._id : '1337']">@{{user.username}}</a>
          <span>First Name: <span class="bigText">{{user.firstName}}</span></span>
          <span>Last Name: <span class="bigText">{{user.lastName}}</span></span>
        </div>

        <!-- ============================================== Roles ============================================== -->
        <div fxLayout="column" fxLayoutAlign="start start" fxFlex="40">
          <span class="bigText">Rolls:</span>
          <div fxLayout="row" fxLayoutAlign="start start" fxFlexOffset="2">
            <span *ngFor="let roll of user.roles" class="badge badge-secondary" fxFlexOffset="2"
                  [style.background-color]="roll.color">
              {{roll.name}}
            </span>
          </div>
        </div>

        <!-- ============================================== Fun Fact ============================================== -->
        <div fxLayout="column" fxLayoutAlign="center center" fxFlex="10">
          <span>Active Since: {{user.getCreationDateAsString()}}</span>
        </div>
        <!-- ============================================= Button ============================================= -->
        <div fxLayout="row" fxLayoutAlign="center center" fxFlex="10">
          <button class="btn btn-primary" matTooltip="flip card" (click)="toggleFlip()">
            <span class="fa fa-arrow-left"></span></button>
        </div>
      </mat-card>
    </div>
  </div>
</div>

